---
title: Range.startContainer
slug: Web/API/Range/startContainer
tags:
  - API
  - DOM
  - Property
  - Range
---
<p>{{ApiRef("DOM")}}</p>

<p>The <code><strong>Range.startContainer</strong></code> read-only property returns the {{domxref("Node")}} within which the <code>Range</code> starts. To change the start position of a node, use one of the {{domxref("Range.setStart()")}} methods.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>startRangeNode</em> = <em>range</em>.startContainer;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">range = document.createRange();
range.setStart(startNode,startOffset);
range.setEnd(endNode,endOffset);
startRangeNode = range.startContainer;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-startcontainer', 'Range.endContainer')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Traversal_Range', 'ranges.html#Level-2-Range-attr-startParent', 'Range.startContainer')}}</td>
   <td>{{Spec2('DOM2 Traversal_Range')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Range.startContainer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/DOM/DOM_Reference">The DOM interfaces index</a></li>
</ul>
